Recent Posts

Pages: [1] 2 3 ... 10
1
AutoLISP (Vanilla / Visual) / Re: "tblnext" shows no group 3 for Textstyle
« Last post by Kerry on Today at 05:50:03 am »
Peter,
Can you please post the drawing you are checking.

Can you generate text using the style ?
2
Hi

thanks for the answers. It is a strange issue of "refresh" the database. I tried to reduce the drawing to the minimum and than I made I "save as - DWG" which "refreshed the value.

I tried also a "save as - DXF", and the DXF has also missing value for code  3.

Just now I see there are additional codes 1000 and 1071, and 1071 is defined as
Quote
1071
A long value which contains a truetype font’s pitch and family, charset, and italic and bold flags

Maybe the solution is:
Code - Auto/Visual Lisp: [Select]
  1. "If 3 is empty, then check 1000"??

Code - Auto/Visual Lisp: [Select]
  1. AcDbSymbolTableRecord
  2. 100
  3. AcDbTextStyleTableRecord
  4.  2
  5. BEAU       <<-- Here begins the style with name "Beau"
  6. 70
  7.     0
  8. 40
  9. 0.0
  10. 41
  11. 1.0
  12. 50
  13. 0.0
  14. 71
  15.     0
  16. 42
  17. 3.5
  18.  3
  19. ROMAND.shx       <<-- Here is a correct value of code 3
  20.  4
  21.  
  22.  0
  23. STYLE
  24.  5
  25. 10C3
  26. 330
  27. 3
  28. 100
  29. AcDbSymbolTableRecord
  30. 100
  31. AcDbTextStyleTableRecord
  32.  2
  33. Arial       <<-- Here begins the style with name "Arial"
  34. 70
  35.     0
  36. 40
  37. 0.0
  38. 41
  39. 0.8
  40. 50
  41. 0.0
  42. 71
  43.     0
  44. 42
  45. 2.5
  46.  3
  47.      <<-- Here is the empty code 3
  48.  4
  49.  
  50. 1001
  51. ACAD
  52. 1000
  53. Arial
  54. 1071
  55. 33554466
  56.  0
  57. STYLE
  58.  5
  59. 1239
  60. 330
  61. 3
  62. 100
  63. AcDbSymbolTableRecord
  64. 100
  65. AcDbTextStyleTableRecord
  66.  2
  67. Simplex
  68. 70
  69.     0
  70. 40
  71. 0.0
  72. 41
  73. 0.8
  74. 50
  75. 0.0
  76. 71
  77.     0
  78. 42
  79. 2.5
  80.  3
  81. simplex.shx
  82.  4
  83.  
  84.  0
  85. ENDTAB
  86.  0
  87. TABLE
  88.  2
  89. VIEW
  90.  5
  91. 6
  92. 330
  93. 0
  94. 100
  95. AcDbSymbolTable
  96. 70
  97.     0
  98.  0
  99. ENDTAB
  100.  0
  101. TABLE
  102.  2
  103. UCS
  104.  5
  105. 7
  106. 330
  107. 0
  108.  
3
AutoLISP (Vanilla / Visual) / Re: "tblnext" shows no group 3 for Textstyle
« Last post by Kerry on Today at 03:27:35 am »
On AutoCAD 2014:
I don't have an Arial Bold.TTF

I have an Arial.TTF which I use with FontStyle 'Bold" for my Style 'BOLD'
DXF 3 value is arialdb.ttf

I made a Style 'Arial' with Arial.TTF with FontStyle 'Regular"
DXF 3 value is arial.ttf


Command: (tblnext "style")
((0 . "STYLE") (2 . "BOLD") (70 . 0) (40 . 0.0) (41 . 1.0) (50 . 0.0) (71 . 0) (42 . 90.0) (3 . "arialbd.ttf") (4 . ""))
Command: (tblnext "style")
((0 . "STYLE") (2 . "Arial") (70 . 0) (40 . 35.0) (41 . 1.0) (50 . 0.0) (71 . 0) (42 . 35.0) (3 . "arial.ttf") (4 . ""))

4
AutoLISP (Vanilla / Visual) / Re: "tblnext" shows no group 3 for Textstyle
« Last post by hermanm on October 30, 2014, 09:34:37 pm »
Peter -

no clue.:(

Here is what I get on an open dwg:

Quote
Command: (tblnext "style")
((0 . "STYLE") (2 . "STANDARD") (70 . 0) (40 . 0.0) (41 . 0.8 ) (50 . 0.0) (71 . 0) (42 . 6.0) (3 . "simplex.shx") (4 . ""))

Command: (tblnext "style")
((0 . "STYLE") (2 . "SSDCP") (70 . 0) (40 . 0.0) (41 . 0.75) (50 . 0.0) (71 . 0) (42 . 1.5) (3 . "SIMPLEX.shx") (4 . "spec.shx"))

Command: (tblnext "style")
((0 . "STYLE") (2 . "STYLE2") (70 . 0) (40 . 0.09375) (41 . 0.8 ) (50 . 0.0) (71 . 0) (42 . 0.09375) (3 . "lucon.TTF") (4 . ""))

Command: (tblnext "style")
((0 . "STYLE") (2 . "STYLE3") (70 . 0) (40 . 0.0) (41 . 0.8 ) (50 . 0.0) (71 . 0) (42 . 6.0) (3 . "romant.shx") (4 . "SPEC.shx"))

Command: (tblnext "style")
((0 . "STYLE") (2 . "ROMAND") (70 . 0) (40 . 0.0) (41 . 1.0) (50 . 0.0) (71 . 0) (42 . 0.125) (3 . "ROMAND.SHX") (4 . "tcs_nbar.shx"))

Command: (tblnext "style")
((0 . "STYLE") (2 . "S80") (70 . 0) (40 . 0.0) (41 . 0.8 ) (50 . 0.0) (71 . 0) (42 . 0.125) (3 . "romans5.shx") (4 . "TCS_SPEC.shx"))

Command: (tblnext "style")
((0 . "STYLE") (2 . "RD90O10") (70 . 0) (40 . 0.0) (41 . 0.9) (50 . 0.174533) (71 . 0) (42 . 0.125) (3 . "ROMAND.SHX") (4 . "tcs_spec.shx"))

Command: (tblnext "style")
((0 . "STYLE") (2 . "TB-Title") (70 . 0) (40 . 0.0) (41 . 0.9) (50 . 0.0) (71 . 0) (42 . 0.125) (3 . "ARIALUNI.TTF") (4 . ""))

Command: (tblnext "style")
((0 . "STYLE") (2 . "S80BAR") (70 . 0) (40 . 0.0) (41 . 0.8 ) (50 . 0.0) (71 . 0) (42 . 1.0) (3 . "romans5.shx") (4 . "TCS_BAR.shx"))

Command: (tblnext "style")
((0 . "STYLE") (2 . "S80NBAR") (70 . 0) (40 . 0.0) (41 . 0.8 ) (50 . 0.0) (71 . 0) (42 . 0.125) (3 . "romans5.shx") (4 . "tcs_nbar.shx"))

Command: (tblnext "style")
((0 . "STYLE") (2 . "Annotative") (70 . 0) (40 . 0.0) (41 . 1.0) (50 . 0.0) (71 . 0) (42 . 0.2) (3 . "txt") (4 . ""))

Command: (tblnext "style")
nil

The TTF styles do show a GC 3

???
5
Revit / Re: Revit and Fire Sprinkler Design
« Last post by Barry Clark on October 30, 2014, 08:26:13 pm »
I have tried to recreate the illustrations in my mind in how you are carrying out your workflow. I'm positive I don't have it exactly down, but from the information provide this is how I would accomplish it:

First, set one sprinkler head, set the elevation, and go ahead and add some piping to it, as if you were going to pipe it back to the main branch. Just a small piece of pipe, maybe a fitting if you need it, etc. Now create a Reference Plane (while in Plan View) that is parallel to the direction your heads will slope up/down, and name the reference plane. Cut a Section View perpendicular to the direction your heads will slope, including the sprinkler head in the section. In any of the Discipline tabs (Architecture/Structure/Systems), Set the workplane to the one you created and click "Show" to make it visible. In the View you should see the reference plane as a blue grid. Now you can physically select the edges of the plane and rotate it to any degree you desire, which is like rotating the UCS in AutoCAD but it keeps the view orientation in place. You can even move the reference plane and snap to the grid intersections which gives you a "grid origin" so to speak.

This should give you some type of easier reference in copying heads along a slope. Alternatively, if you enable the Crop Boundary in the section view you can select it and physically rotate it as well. This changes the orientation of the View, which is similar to UCSFOLLOW in AutoCAD.

Have a try and see if maybe those are some options you can use. Sometimes Revit requires you to think outside the box for the best results and straight forward approaches a lot of times aren't the best.
Thanks! I will give it a shot!
6
AutoLISP (Vanilla / Visual) / "tblnext" shows no group 3 for Textstyle
« Last post by Peter2 on October 30, 2014, 06:09:34 pm »
I have some drawings with a textstyle named "Arial". Starting the dialogue "Style" that it uses "Arial Bold TTF".

But working with "tblnext" and "tblsearch" shows no entry for DXF-Group 3 (fontname). I tried with _purge, _audit, _regen, _-style (which shows Arial Bold too) .... - nothing changed, see following log. The problem is that now an analysis of the drawing shows "empty textfont" which is wrong - or not wrong??

Any ideas how to get the correct DXF-value?

Code - Auto/Visual Lisp: [Select]
  1. Autodesk-DWG. Diese Datei ist eine zuverlässige DWG-Datei, die zuletzt von einer Autodesk-Anwendung bzw. einer von Autodesk lizenzierten Anwendung gespeichert wurde.
  2.  
  3. Befehl:
  4. Befehl: (tblnext "style" t)
  5. ((0 . "STYLE") (2 . "STANDARD") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 4.0) (3 . "romans.shx") (4 . ""))
  6.  
  7. Befehl: (tblnext "style")
  8. ((0 . "STYLE") (2 . "ROMANS") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 2.5) (3 . "romans.shx") (4 . ""))
  9.  
  10. Befehl: (tblnext "style")
  11. ((0 . "STYLE") (2 . "BEAU") (70 . 0) (40 . 0.0) (41 . 1.0) (50 . 0.0) (71 . 0) (42 . 2.5) (3 . "romand.shx") (4 . ""))
  12.  
  13. Befehl: (tblnext "style")
  14. ((0 . "STYLE") (2 . "Arial") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 2.0) (3 . "") (4 . ""))
  15.  
  16. Befehl: (tblnext "style")
  17. ((0 . "STYLE") (2 . "Simplex") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 2.5) (3 . "simplex.shx") (4 . ""))
  18.  
  19. Befehl: (tblnext "style")
  20. ((0 . "STYLE") (2 . "ROMAND") (70 . 0) (40 . 0.0) (41 . 1.0) (50 . 0.0) (71 . 0) (42 . 13.0) (3 . "romand") (4 . ""))
  21.  
  22. Befehl: (tblnext "style")
  23. nil
  24.  
  25. Befehl: _PURGE
  26.  
  27. Befehl: (tblnext "style" t)
  28. ((0 . "STYLE") (2 . "STANDARD") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 4.0) (3 . "romans.shx") (4 . ""))
  29.  
  30. Befehl: (tblnext "style")
  31. ((0 . "STYLE") (2 . "Arial") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 2.0) (3 . "") (4 . ""))
  32.  
  33. Befehl: _AUDIT
  34.  
  35. Gefundene Fehler beheben? [Ja/Nein] <N>: n
  36.  
  37. Prüft Header
  38. Prüft Tabellen
  39. Prüft Objekte Durchgang 1
  40. Durchgang 1 400     Objekte geprüft
  41. Prüft Objekte Durchgang 2
  42. Durchgang 2 400     Objekte geprüft
  43. Prüft Blöcke
  44. 3       Blöcke geprüft
  45. AcDsRecords wird überprüft
  46.  
  47. 0 Fehler gefunden, 0 behoben
  48. 0 Objekte gelöscht
  49.  
  50. Befehl: (tblnext "style" t)
  51. ((0 . "STYLE") (2 . "STANDARD") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 4.0) (3 . "romans.shx") (4 . ""))
  52.  
  53. Befehl: (tblnext "style")
  54. ((0 . "STYLE") (2 . "Arial") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 2.0) (3 . "") (4 . ""))
  55.  
  56. Befehl: RG
  57. REGEN Regeneriert Modell.
  58.  
  59. Befehl: (tblnext "style" t)
  60. ((0 . "STYLE") (2 . "STANDARD") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 4.0) (3 . "romans.shx") (4 . ""))
  61.  
  62. Befehl: (tblnext "style")
  63. ((0 . "STYLE") (2 . "Arial") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 2.0) (3 . "") (4 . ""))
  64.  
  65. Befehl: _AUDIT
  66.  
  67. Gefundene Fehler beheben? [Ja/Nein] <N>: _yes
  68.  
  69. Prüft Header
  70. Prüft Tabellen
  71. Prüft Objekte Durchgang 1
  72. Durchgang 1 400     Objekte geprüft
  73. Prüft Objekte Durchgang 2
  74. Durchgang 2 400     Objekte geprüft
  75. Prüft Blöcke
  76. 3       Blöcke geprüft
  77.  
  78. AcDsRecords wird überprüft
  79.  
  80. 0 Fehler gefunden, 0 behoben
  81. 0 Objekte gelöscht
  82.  
  83. Befehl: (tblnext "style" t)
  84. ((0 . "STYLE") (2 . "STANDARD") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 4.0) (3 . "romans.shx") (4 . ""))
  85.  
  86. Befehl: (tblnext "style")
  87. ((0 . "STYLE") (2 . "Arial") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 2.0) (3 . "") (4 . ""))
  88.  
  89. Befehl: _-STYLE
  90. Namen des Textstils eingeben oder [?] <STANDARD>: arial
  91.  
  92. Aktueller Textstil. Vollständiger Name der Schriftdatei = Arial Fett
  93. Vollständigen Namen der Schrift oder der Schriftdatei angeben (TTF oder SHX) <txt>: *Abbruch*
  94.  
  95. Befehl: (tblnext "style" t)
  96. ((0 . "STYLE") (2 . "STANDARD") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 4.0) (3 . "romans.shx") (4 . ""))
  97.  
  98. Befehl: (tblnext "style")
  99. ((0 . "STYLE") (2 . "Arial") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 2.0) (3 . "") (4 . ""))
  100.  
  101. Befehl: _STYLE
  102.  
  103. Befehl: (tblnext "style" t)
  104. ((0 . "STYLE") (2 . "STANDARD") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 4.0) (3 . "romans.shx") (4 . ""))
  105.  
  106. Befehl: (tblnext "style")
  107. ((0 . "STYLE") (2 . "Arial") (70 . 0) (40 . 0.0) (41 . 0.8) (50 . 0.0) (71 . 0) (42 . 2.0) (3 . "") (4 . ""))
  108.  
7
Hello to all...
I need help on re-pathing an existing linked spreadsheet into a bunch of AutoCAD drawings but to a different workbook within the existing workbook.
E.G. on my company’s  template all data link are link to a Tab called Title Block Info.
As project progressed, these tabs are name as, issued for review, issued for construction and so forth.
Is there a lisp that will re-path these links to reflect the new tab within the same workbook or even to a different worksheet? Instead of re-attaching each one individual?

Thank you…
8
Revit / Re: Single Line CAD to Revit Ductwork
« Last post by rvhwlc on October 30, 2014, 03:53:28 pm »
Easier to just draw in a course view (if you want the `single line trace effect'). ...Duct/pipe placeholders have their use but I, personally, avoid them if I can; if the size and elevation is known then draw it. No need to draw-->convert.
+1, good tip. Better than mine for sure.
9
Revit / Re: Single Line CAD to Revit Ductwork
« Last post by M@yhem on October 30, 2014, 02:51:43 pm »
...
One workaround would be to use the Duct Placeholder tool to trace quickly over the lines, coming back later and using the Split tool to mark transitions and then populate duct from there.

Easier to just draw in a course view (if you want the `single line trace effect'). ...Duct/pipe placeholders have their use but I, personally, avoid them if I can; if the size and elevation is known then draw it. No need to draw-->convert.
^^^ What he said.
10
Revit / Re: Single Line CAD to Revit Ductwork
« Last post by John Kaul (Se7en) on October 30, 2014, 02:01:38 pm »
...
One workaround would be to use the Duct Placeholder tool to trace quickly over the lines, coming back later and using the Split tool to mark transitions and then populate duct from there.

Easier to just draw in a course view (if you want the `single line trace effect'). ...Duct/pipe placeholders have their use but I, personally, avoid them if I can; if the size and elevation is known then draw it. No need to draw-->convert.
Pages: [1] 2 3 ... 10